Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.siftstack.com/api/v1/user-defined-functions/{userDefinedFunctionId} \ --header 'Authorization: Bearer <token>'
{ "userDefinedFunction": { "userDefinedFunctionId": "<string>", "name": "<string>", "userDefinedFunctionVersionId": "<string>", "version": 123, "description": "<string>", "changeMessage": "<string>", "userNotes": "<string>", "expression": "<string>", "functionInputs": [ { "identifier": "<string>", "dataType": "FUNCTION_DATA_TYPE_UNSPECIFIED", "constant": true } ], "functionDependencies": [ { "userDefinedFunctionVersionId": "<string>" } ], "createdDate": "2023-11-07T05:31:56Z", "modifiedDate": "2023-11-07T05:31:56Z", "createdByUserId": "<string>", "modifiedByUserId": "<string>", "metadata": [ { "key": { "name": "<string>", "type": "METADATA_KEY_TYPE_UNSPECIFIED", "archivedDate": "2023-11-07T05:31:56Z" }, "stringValue": "<string>", "numberValue": 123, "booleanValue": true, "archivedDate": "2023-11-07T05:31:56Z" } ], "archivedDate": "2023-11-07T05:31:56Z", "functionOutputType": "FUNCTION_DATA_TYPE_UNSPECIFIED" } }
Retrieve the latest version of a user defined function.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
A successful response.
Show child attributes
Was this page helpful?